com.r3corda.node.services.messaging / ArtemisMessagingClient / createMessage

# createMessage

`fun createMessage(topicSession: TopicSession, data: ByteArray): Message`
Overrides MessagingService.createMessage

Returns an initialised Message with the current time, etc, already filled in.

### Parameters

`topicSession` - identifier for the topic and session the message is sent to.
`fun createMessage(topic: String, sessionID: Long, data: ByteArray): Message`
Overrides MessagingService.createMessage

Returns an initialised Message with the current time, etc, already filled in.

### Parameters

`topic` - identifier for the general subject of the message, for example "platform.network_map.fetch". Must not be blank.
`sessionID` - identifier for the session the message is part of. For messages sent to services before the construction of a session, use DEFAULT_SESSION_ID.